Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1877779 (CVE-2020-24980) - CVE-2020-24980 bison: Assertion failure in src/parse-gram.c could result in DoS
Summary: CVE-2020-24980 bison: Assertion failure in src/parse-gram.c could result in DoS
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-24980
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1877780
Blocks: 1877775
TreeView+ depends on / blocked
 
Reported: 2020-09-10 12:24 UTC by Michael Kaplan
Modified: 2021-02-16 19:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-15 01:17:44 UTC


Attachments (Terms of Use)

Description Michael Kaplan 2020-09-10 12:24:25 UTC
An assertion failure was found in src/parse-gram.c in GNU bison 3.7.1.1-cb7dc-dirty. A local attacker may execute bison with crafted input file containing character '\' at the end and while still in a character or a string.

References:

https://github.com/akimd/bison/commit/b801b7b670872b8a31d11b3683b4afc3e45a07f8
https://lists.gnu.org/r/bug-bison/2020-08/msg00009.html

Comment 1 Michael Kaplan 2020-09-10 12:24:46 UTC
Created bison tracking bugs for this issue:

Affects: fedora-all [bug 1877780]

Comment 4 Todd Cullum 2020-09-14 22:07:26 UTC
Statement:

This flaw does not affect bison as shipped in Red Hat Enterprise Linux 7 or 8 as it is was introduced in a subsequent version of bison.

Comment 5 Product Security DevOps Team 2020-09-15 01:17:44 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-24980


Note You need to log in before you can comment on or make changes to this bug.